SalesOS.

Contracts

Contract lifecycle management

Contracts Controller_list Contracts

GET
/v1/contracts

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

statusRequiredstring
accountIdRequiredstring
renewalDueRequiredstring
curl -X GET "https://api.salesos.org/v1/contracts?status=%3Cstring%3E&accountId=%3Cstring%3E&renewalDue=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Contracts Controller_create Contract

POST
/v1/contracts

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/contracts" \
  -H "Authorization: Bearer <token>"

Contracts Controller_get Contract Stats

GET
/v1/contracts/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/contracts/stats" \
  -H "Authorization: Bearer <token>"

Contracts Controller_get Expiring Contracts

GET
/v1/contracts/expiring

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

daysRequiredstring
curl -X GET "https://api.salesos.org/v1/contracts/expiring?days=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Contracts Controller_get Template

GET
/v1/contracts/templates/{templateId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

templateIdRequiredstring
curl -X GET "https://api.salesos.org/v1/contracts/templates/<string>" \
  -H "Authorization: Bearer <token>"

Contracts Controller_get Templates Index

GET
/v1/contracts/templates

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

typeRequiredstring
curl -X GET "https://api.salesos.org/v1/contracts/templates?type=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Contracts Controller_get Contract

GET
/v1/contracts/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/contracts/<string>" \
  -H "Authorization: Bearer <token>"

Contracts Controller_update Contract

PATCH
/v1/contracts/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PATCH "https://api.salesos.org/v1/contracts/<string>" \
  -H "Authorization: Bearer <token>"

Contracts Controller_submit For Review

POST
/v1/contracts/{id}/submit

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/contracts/<string>/submit" \
  -H "Authorization: Bearer <token>"

Contracts Controller_approve Contract

POST
/v1/contracts/{id}/approve

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/contracts/<string>/approve" \
  -H "Authorization: Bearer <token>"

Contracts Controller_activate Contract

POST
/v1/contracts/{id}/activate

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/contracts/<string>/activate" \
  -H "Authorization: Bearer <token>"

Contracts Controller_terminate Contract

POST
/v1/contracts/{id}/terminate

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/contracts/<string>/terminate" \
  -H "Authorization: Bearer <token>"

Contracts Controller_renew Contract

POST
/v1/contracts/{id}/renew

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/contracts/<string>/renew" \
  -H "Authorization: Bearer <token>"

Contracts Controller_send For Signature

POST
/v1/contracts/{id}/send-for-signature

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/contracts/<string>/send-for-signature" \
  -H "Authorization: Bearer <token>"

Contracts Controller_amend Contract

POST
/v1/contracts/{id}/amend

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/contracts/<string>/amend" \
  -H "Authorization: Bearer <token>"